<?php
/*
 * Public Domain
 */
if (!defined('NOT_ACCESSED_DIRECTLY')) exit('This file may not be directly accessed');

//By creating a db_update script with revisions inside, you can create database tables
//for your Module when it is installed.

//All tables in the CMS start with the prefix DB_NAME_PREFIX. All Module tables must
//also start with this prefix, however to avoid a clash of names, they must use an
//additional prefix generated by the CMS.
//This prefix will be available in a constant defined for you. For example, if your
//class name was "example_hello_world", your constant would be called:
	//EXAMPLE_HELLO_WORLD_PREFIX
//and you would use:
	//DB_NAME_PREFIX. EXAMPLE_HELLO_WORLD_PREFIX
//as a prefix for your tables in your PHP code, or:
	//[[DB_NAME_PREFIX]][[EXAMPLE_HELLO_WORLD_PREFIX]]
//in your Storekeeper files or your revisions.

//If you create a table, you should always use a "DROP TABLE IF EXISTS" statement and
//then a "CREATE TABLE" statement. You should never use a "CREATE TABLE IF NOT EXISTS"
//statement as this can cause problems in some cases when restoring an old database
//backup file.


//Create a table to store animals in, and add some sample data.
revision(1
, <<<_sql
	DROP TABLE IF EXISTS `[[DB_NAME_PREFIX]][[EXAMPLE_MODULE_4_PREFIX]]animals`
_sql

, <<<_sql
	CREATE TABLE `[[DB_NAME_PREFIX]][[EXAMPLE_MODULE_4_PREFIX]]animals` (
		`id` int(10) unsigned NOT NULL AUTO_INCREMENT,
		`name` varchar(50) NOT NULL,
		`description` text,
		PRIMARY KEY (`id`),
		UNIQUE KEY (`name`)
	) ENGINE=MyISAM DEFAULT CHARSET=utf8
_sql

, <<<_sql
	INSERT INTO `[[DB_NAME_PREFIX]][[EXAMPLE_MODULE_4_PREFIX]]animals`
		(name, description)
	VALUES
		('Badger', 'A mammal that lives underground.'),
		('Bear', 'A big thing with claws.'),
		('Cat', 'A small furry mammal.'),
		('Dog', 'A big thing that barks.'),
		('Elephant', 'Extremely big and heavy.'),
		('Fly', 'Very small airborne creature.'),
		('Goat', 'Eats plants and lives in mountainous regions.'),
		('Horse', 'A large mammal that can be ridden.'),
		('Mouse', 'A very small mammal that eats cheese.'),
		('Owl', 'A bird that hunts at night.')
_sql


//Once you have created a table for your Module, you still have the ability to change
//it later by issuing further revisions.
//To issue a revision, you need to increment the latest revision number in your
//latest_revision_no.inc.php file. Then you can add new SQL revisions using that
//number.
//When installing or updating a Module, the CMS will compare the revision number
//listed in latest_revision_no.inc.php to the value it saw there previous, and will
//only execute SQL revisions that it has not yet run.

//Add a second revision to insert some more animals.
);	revision(2
, <<<_sql
	INSERT IGNORE INTO `[[DB_NAME_PREFIX]][[EXAMPLE_MODULE_4_PREFIX]]animals`
		(name, description)
	VALUES
		('Rabbit', 'A small mammal with big ears.'),
		('Rat', 'A very small mammal that can bite.'),
		('Turkey', 'A fat bird typically raised for food.'),
		('Snake', 'A small long thing that bites.')
_sql

);